Jump to content

IR v4 Beta (last update 20 June 2017)


Recommended Posts

IR's masterwork weapons can still be installed, but they are disabled by default for v4. To install them, you need to open settings.ini and change the appropriate value before installing the mod. We disabled it for a couple of reasons.

  • It wasn't substantially different from the one in SCS.
  • It was coded pretty stupidly.
  • I never got around to implementing it the way I really wanted: introducing them as separate items with unique icons, instead of replacing +1 weapons.

 

 

SCS currently assumes that if IR's main component is installed, then masterwork weapons are as well. Masterwork weapons are actually part of the Store Revisions component now and only installed if you follow the procedure above. If you'd rather use fine weapons from SCS, you can delete the following from setup-stratagems.tp2 at line 478 before [re]installing SCS:

REQUIRE_PREDICATE !(MOD_IS_INSTALLED ~item_rev/item_rev.tp2~ 0) @3376
Link to post

Hi, everyone

 

I've been trying to install IR and SR in IWD:EE with no luck. For what i've been reading in this and other forums I assumed it would work, since many users stated so. Do you have any tip/idea how to make it work?

 

Thanks

Link to post

I've been trying to install IR and SR in IWD:EE with no luck. For what i've been reading in this and other forums I assumed it would work, since many users stated so. Do you have any tip/idea how to make it work?

You are they are talking about the IR v4 Beta that Demivrgvs has provided to them, and not the one in the forums download section(which is actually a v2) ? AKA, you need to request the beta to get access to it and then download it...
Link to post

 

I've been trying to install IR and SR in IWD:EE with no luck. For what i've been reading in this and other forums I assumed it would work, since many users stated so. Do you have any tip/idea how to make it work?

You are they are talking about the IR v4 Beta that Demivrgvs has provided to them, and not the one in the forums download section(which is actually a v2) ? AKA, you need to request the beta to get access to it and then download it...

 

Thanks, Jarno, but I was also talking about the v4(I asked Demivrgvs for it and was trying to install it now). Any idea?

Link to post

Regarding EE compatibility

 

The following tra files bundled with this mod contain non-ASCII characters:

 

 

item_rev/languages/english/item_descriptions.tra
item_rev/languages/french/potion_descriptions.tra
item_rev/languages/french/store_revisions.tra
item_rev/languages/french/multiclasses.tra
item_rev/languages/french/item_upgrades.tra
item_rev/languages/french/item_descriptions.tra
item_rev/languages/french/masterwork.tra
item_rev/languages/french/description_updates.tra
item_rev/languages/french/proficiencies.tra
item_rev/languages/russian/spell_revisions.tra
item_rev/languages/russian/potion_descriptions.tra
item_rev/languages/russian/store_revisions.tra
item_rev/languages/russian/multiclasses.tra
item_rev/languages/russian/item_upgrades.tra
item_rev/languages/russian/item_descriptions.tra
item_rev/languages/russian/masterwork.tra
item_rev/languages/russian/description_updates.tra
item_rev/languages/russian/proficiencies.tra
item_rev/languages/spanish/setup.tra
item_rev/languages/spanish/item_descriptions.tra
item_rev/languages/spanish/masterwork.tra
item_rev/languages/spanish/proficiencies.tra

 

 

 

They use the CP1252 and CP1251 character encodings as the original BG2 requires.

 

However BG2:EE expects all of them to be encoded in UTF-8 - otherwise the offending strings either show up incorrectly (e.g. "Faern" or "Faer�n" instead of "Faerûn"), or actually cause the game to crash when the text in question is about to be displayed.

 

To satisfy both BG2 and BG2:EE, HANDLE_CHARSETS can be used - e.g. in item_rev/item_rev.tp2 change this block:

ALWAYS
  OUTER_PATCH ~~ BEGIN
    PATCH_INCLUDE ~item_rev/settings.ini~
  END
END

to this:

ALWAYS
  // Make sure strings are correctly encoded for both EE and non-EE games
  ACTION_DEFINE_ARRAY tra_reload BEGIN setup description_updates END
  LAF HANDLE_CHARSETS
    INT_VAR
      infer_charset = 1
    STR_VAR
      tra_path      = EVAL ~%MOD_FOLDER%/languages~
      reload_array  = tra_reload
  END

  OUTER_PATCH ~~ BEGIN
    PATCH_INCLUDE ~item_rev/settings.ini~
  END
END

Looking at the installed strings with NearInfinity, confirms that making this change does indeed fix the "Faer�n" vs "Faerûn" case in the English version. (Haven't tested it with the other languages, but it should be able to handle all of them.)

 

PS: Oh, and you'll have to bundle iconv.exe (like the "Edwin Romance" mod does) for it to work on Windows.

Edited by Ineth
Link to post

The Dwarven Shield +2 is classified as Large Shield but everything points to the Medium Shield category (appearance, min STR requirement, weight).

 

Is that intended?

 

I have also a question about installation order. I have always installed IR before SR but then in IR's main_component.tpa I noticed this:

 

// SR changes the names of some spells, so if it is installed, we want our item abilities to use those names instead
ACTION_IF comp_sr BEGIN
  LOAD_TRA ~item_rev/languages/english/spell_revisions.tra~
  LOAD_TRA ~item_rev/languages/%LANGUAGE%/spell_revisions.tra~
END
Does that mean I must install SR first then?
Thanks!
Edited by Salk
Link to post

The Dwarven Shield +2 is classified as Large Shield but everything points to the Medium Shield category (appearance, min STR requirement, weight).

 

Is that intended?

 

I have also a question about installation order.

...

Does that mean I must install SR first then?

No. YOU CAN, that's the important part...as the code works in both orders. Duh. Even the "comp_sr" should read as "compatibility code for Spell Revision, if it's installed"...

As for the shield, the appearance is probably because a Dwarves you know, wouldn't need a tower shields to protect their whole body... the medium shield is big enough to be them, being half the size and so forth.

Link to post

He tries to help, Shaitan and that's good but I wish he used a less condescending tone.

 

Not to mention sometimes I fail to see any logic in what he says like in the case of the Dwarven Shield: I said it would be more appropriate for it to be a Medium Shield too and that the values (weight and min STR requirement) supported this theory and he talked like I was suggesting the opposite but oh well...

Edited by Salk
Link to post

Being a bit harsh, aren't we Jarno?

Well, not exactly, because of a single word used in the above...

... must ...

Because that's the only word that matters in the above sentence ... as you have no other option... essentially.

Consider how much it would wreak havoc in BG2's moding.

 

.. the case of the Dwarven Shield: I said it would be more appropriate for it to be a Medium Shield too and that the values (weight and min STR requirement) supported this theory ...

But consider, reading the items name. What's special about the word, how would you set it to the item... I am sure that if you had a better proposition for the stats, you could bring those up. Yes, that's implied. Not said strait ... cause the imp needs to lie sometimes. :devlook:

Edited by Jarno Mikkola
Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...